Create Route
curl --request POST \
--url https://api.makeswift.com/v2/routes \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"siteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pathname": "/furniture"
}
'import requests
url = "https://api.makeswift.com/v2/routes"
payload = {
"siteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pathname": "/furniture"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({siteId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', pathname: '/furniture'})
};
fetch('https://api.makeswift.com/v2/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "route",
"id": "37b18c41-9752-4adf-9aef-f42ab4f74b04",
"pathname": "/furniture"
}{
"object": "error",
"code": "bad_request",
"message": "<string>"
}{
"object": "error",
"code": "forbidden",
"message": "<string>"
}{
"object": "error",
"code": "conflict",
"message": "<string>"
}Routes
Create Route
Creates a new route for a site.
POST
/
v2
/
routes
Create Route
Authorizations
API key authentication. Accepts either:
- App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
- Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)
Query Parameters
The flag that determines whether to skip route validation. Useful when an external system has a different way of validating routes than Makeswift.
Available options:
true, false Body
application/json
Was this page helpful?
⌘I